/* You can add global styles to this file, and also import other style files */

// Set the variables before
@import "variables";
@import "darktheme";
@import "base";
@import "components";
@import "~@progress/kendo-theme-bootstrap/dist/all.scss";
@import "~bootstrap/scss/bootstrap-grid.scss";


section.chart {

  border: $border-100;
  border-radius: $border-radius;
  //padding: 0.5rem;

}
// Overwrite button styling in KendoUI's grid command column
.k-command-cell button, .dark-mode .k-command-cell button{
  background: none;
  padding: 0;
  border: none;

  &:hover {
    background: none;
  }
}

.k-dialog-content {
  text-align: center;
  .Indicator{
    text-align: left;
  }
}

// override here as the styling seems to have problem
.k-datetime-selector, .dark-mode .k-datetime-selector {
  .k-calendar-view {
    padding: 0;
  }
  .k-today {
    margin: 0.375rem 0.75rem
  }
}

.k-textarea {
  width: 100%
}

//for hovering

//arrow for more deets
.component-click-more-detail:hover {
    cursor: pointer;
    box-shadow: $shadow-200;
  }

.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  padding: 0 ;
  justify-content: space-between;
  margin-bottom: 0%;
}


.form-control{
  &.k-widget, &.k-maskedtextbox, &.k-textbox {
    width: 100%;
  }
}


kendo-upload-action-buttons.k-actions.k-actions-end {
  flex-direction: row-reverse;
}

//prevent notification message from spilling outside of container
.k-notification-content {
  word-break: break-all;
}


.dis-custom-menu-bar {

  &.k-panelbar{
    background: none;
    border: none;

    .k-item {
      border: none;
    }

    .k-link:hover{
      cursor: pointer;
    }

    .dis-custom-panelbar-item{
      .dis-custom-panelbar-child{
        &.active {
          >.k-link{
            color: inherit;
            background: $gray-700;
            box-shadow: inset 0 -0.1rem 0 0 $primary;

            &:focus, &:focus.k-state-selected ,&.k-state-selected, &.k-state-focus.k-state-selected, &.k-state-focused.k-state-selected {
              color: inherit;
              background: $gray-700;
              box-shadow: inset 0 -0.1rem 0 0 $primary;
            }
          }
        }
        >.k-link{
          display: block;
          padding: 0.75rem 1rem;
          border-radius: $border-radius;
          transition: $transition-100;

          &:hover{
            cursor: pointer;
          }

          &:focus, &:focus.k-state-selected ,&.k-state-selected, &.k-state-focus.k-state-selected, &.k-state-focused.k-state-selected {
            color: inherit;
            background: inherit;
            box-shadow: none;
          }

          a {
            color: $gray-300;
            text-decoration: none;
          }
          &:hover{
            background: #393947;
            color: inherit;
          }
        }
      }

      >.k-header{
        background: none;
        border: none;
        margin: 0;
        color: #cbcbd6;
        text-transform: uppercase;
        font-weight: 500;
        font-size: 0.875rem;
        padding: 0.75rem 0rem;

        &:hover {
          background: none;
        }

        &.k-link{
          padding: 0.75rem 0rem;

          &.k-state-selected,  &:focus, &.k-state-selected:focus, &.k-state-focused {
            background: none;
            box-shadow: none;
          }
        }
      }

    }
  }


}


.k-icon {
  font-size: 1rem;
}

.vh-10 {
  height: 10vh !important;
}
.vh-20 {
  height: 20vh !important;
}
.vh-30 {
  height: 30vh !important;
}
.vh-40 {
  height: 40vh !important;
}
.vh-50 {
  height: 50vh !important;
}
.vh-60 {
  height: 60vh !important;
}
.vh-70 {
  height: 70vh !important;
}
.vh-80 {
  height: 80vh !important;
}
.vh-90 {
  height: 90vh !important;
}


@include media-breakpoint-up(sm) {
  .vh-sm-10 {
  height: 10vh !important;
  }
  .vh-sm-20 {
    height: 20vh !important;
  }
  .vh-sm-30 {
    height: 30vh !important;
  }
  .vh-sm-40 {
    height: 40vh !important;
  }
  .vh-sm-50 {
   height: 50vh !important;
  }
  .vh-sm-60 {
    height: 60vh !important;
  }
  .vh-sm-70 {
    height: 70vh !important;
  }
  .vh-sm-80 {
    height: 80vh !important;
  }
  .vh-sm-90 {
    height: 90vh !important;
  }
}
@include media-breakpoint-up(md) {
  .vh-md-10 {
    height: 10vh !important;
  }
  .vh-md-20 {
    height: 20vh !important;
  }
  .vh-md-30 {
    height: 30vh !important;
  }
  .vh-md-40 {
    height: 40vh !important;
  }
  .vh-md-50 {
    height: 50vh !important;
  }
  .vh-md-60 {
    height: 60vh !important;
  }
  .vh-md-70 {
    height: 70vh !important;
  }
  .vh-md-80 {
    height: 80vh !important;
  }
  .vh-md-90 {
    height: 90vh !important;
  }
}
@include media-breakpoint-up(lg) {
  .vh-lg-10 {
    height: 10vh !important;
  }
  .vh-lg-20 {
    height: 20vh !important;
  }
  .vh-lg-30 {
    height: 30vh !important;
  }
  .vh-lg-40 {
    height: 40vh !important;
  }
  .vh-lg-50 {
    height: 50vh !important;
  }
  .vh-lg-60 {
    height: 60vh !important;
  }
  .vh-lg-70 {
    height: 70vh !important;
  }
  .vh-lg-80 {
    height: 80vh !important;
  }
  .vh-lg-90 {
    height: 90vh !important;
  }

}
@include media-breakpoint-up(xl) {

  .vh-xl-10 {
    height: 10vh !important;
  }
  .vh-xl-20 {
    height: 20vh !important;
  }
  .vh-xl-30 {
    height: 30vh !important;
  }
  .vh-xl-40 {
    height: 40vh !important;
  }
  .vh-xl-50 {
    height: 50vh !important;
  }
  .vh-xl-60 {
    height: 60vh !important;
  }
  .vh-xl-70 {
    height: 70vh !important;
  }
  .vh-xl-80 {
    height: 80vh !important;
  }
  .vh-xl-90 {
    height: 90vh !important;
  }
}
@include media-breakpoint-up(xxl) {

  .vh-xxl-10 {
    height: 10vh !important;
  }
  .vh-xxl-20 {
    height: 20vh !important;
  }
  .vh-xxl-30 {
    height: 30vh !important;
  }
  .vh-xxl-40 {
    height: 40vh !important;
  }
  .vh-xxl-50 {
    height: 50vh !important;
  }
  .vh-xxl-60 {
    height: 60vh !important;
  }
  .vh-xxl-70 {
    height: 70vh !important;
  }
  .vh-xxl-80 {
    height: 80vh !important;
  }
  .vh-xxl-90 {
    height: 90vh !important;
  }
}

@include media-breakpoint-up(xxxl) {
  html {
    font-size: 12px;
  }
}


@include media-breakpoint-up(xxxl) {
  html {
    font-size: 16px;
  }
}

@include media-breakpoint-up(xxxl) {
  html {
    font-size: 18px;
  }
}
@include media-breakpoint-up(xxxxl) {
  html {
    font-size: 22px;
  }
}

@include media-breakpoint-up(ultra) {
  html {
    font-size: 32px;
  }
}

@include media-breakpoint-up(ultra-big) {
   html {
     font-size: 42px;
   }
 }

